View Issue Details

IDProjectCategoryView StatusLast Update
0006422Multi Theft Auto : San AndreasClientpublic2011-12-16 23:26
ReporterMX_MasterAssigned Toccw 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWindows XPOS VersionSP3
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0006422: Incorrect width of GUI Tab title with Unicode symbols (while first creating)
Description

While first creating of GUI Tab, containing Russian Unicode symbols, the width of this Tab defines incorrectly. But after recreating Tab, the width of this Tab becomes correct. See below..

Steps To Reproduce

local w,h = guiGetScreenSize()

local window = guiCreateWindow(w/2-200, h/2-150, 400, 300, "????????? ????", false) -- window title with russian symbols

local tabPanel = guiCreateTabPanel(10, 20, 380, 270, false, window)
local tab1 = guiCreateTab("???????", tabPanel) -- title 1 with russian symbols
local tab2 = guiCreateTab("??????", tabPanel) -- title 2 with russian symbols


-- RESULT after FIRST creating - http://plasmon.rghost.ru/19403181.image
-- RESULT after RECREATING - http://rghost.ru/19403191/image.png

-- (thanks to forum user xomka for these screens and steps)

Additional Information

I think it's related to GUI symbol cashing mechanism.

TagsNo tags attached.

Relationships

child of 0006375 closed New issues Unicode issues 

Activities

MX_Master

2011-08-26 20:56

viewer   ~~0014485

Last edited: 2011-08-26 21:00

STEPS to reproduce on the pastebin.com - http://pastebin.com/nXsuM09V

child of #0006375

Bpb_Xommko

2011-08-27 10:00

viewer   ~~0014494

Checked with more languages, here is result: http://rghost.ru/19464981/image.png
Text is (copied from wikipedia):

Japanese ("katakana", "hiragana")
Jewish ("ivrit", "yidish").

Bpb_Xommko

2011-09-03 20:10

viewer   ~~0014659

Bump :( This is fatal for non-english players.

MX_Master

2011-09-03 21:27

viewer   ~~0014660

Last edited: 2011-09-03 21:28

off course you can write a patch, if you want to fix this fast

Talidan said he will try to fix this later. But you can apply a temporary fix. Before any russian tabs, create some invisible tabs with all Russian alphabet and delete them so. These chars will be cashed and so you can create any tabs with russian chars without problems.

Picard

2011-12-14 06:31

updater   ~~0015366

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3543 )

Issue History

Date Modified Username Field Change